/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: iaom <zhangpengfei@kylinos.cn>
 *
 */
#ifndef INDEXUPDATER_H
#define INDEXUPDATER_H

#include <QRunnable>
#include <QObject>
#include <QVector>
#include <QAtomicInt>
#include "pending-file.h"
namespace UkuiSearch {

class IndexUpdater : public QObject, public QRunnable
{
    Q_OBJECT
public:
    explicit IndexUpdater(const QVector<PendingFile>& files, QAtomicInt& stop);
    void run() override;

Q_SIGNALS:
    void done();

private:
    void UpdateIndex();

    QVector<PendingFile> m_cache;
    QAtomicInt *m_stop = nullptr;
};
}
#endif // INDEXUPDATER_H
